Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security
Class KeyPairCredential

    java.lang.Object
      weblogic.security.KeyPairCredential

public final class KeyPairCredential
extends Object

This class acts as a holder for cryptographic key information. Typically the keypair information is a private key accompanied by the certificate chain for the corresponding public key.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`KeyPairCredential(Key key, Certificate[] certificate)` Creates a KeyPairCredential object from the specified key and its corresponding public certificate.

Method Summary
`void` | `dispose()` Frees all resources associated with this instance of the credential.
`protected void` | `finalize()` Disposes of this credential.
`Certificate` | `getCertificate()` The first element of the certificate chain.
`Certificate[]` | `getCertificateChain()` The certificate chain.
`Key` | `getKey()` The key.
`boolean` | `isDisposed()` Specifies whether this instance is disposed.
`String` | `toString()` A string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyPairCredential

    public KeyPairCredential(Key key,
                             Certificate[] certificate)

  Creates a KeyPairCredential object from the specified key and its corresponding public certificate.

Method Detail

### dispose

    public void dispose()

  Frees all resources associated with this instance of the credential.

### finalize

    protected void finalize()

  Disposes of this credential.

  See Also:
    `dispose()`

### getCertificate

    public Certificate getCertificate()

  The first element of the certificate chain. Returns null if the certificate chain is null or empty, or if the credential has been disposed via the dispose() method.

  Returns:
    The first element in the certificate chain
  See Also:
    `dispose()`

### getCertificateChain

    public Certificate[] getCertificateChain()

  The certificate chain. Returns null if the credential has been disposed via the dispose() method.

  Returns:
    The certificate chain
  See Also:
    `dispose()`

### getKey

    public Key getKey()

  The key. Returns null if the credential has been disposed via the dispose() method.

  Returns:
    The key
  See Also:
    `dispose()`

### isDisposed

    public boolean isDisposed()

  Specifies whether this instance is disposed.

  Returns:
    `true` if the credential is already disposed
  See Also:
    `dispose()`

### toString

    public String toString()

  A string representation of this object.

  Returns:
    A string representation of the keypair credential

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD